> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notification

> Fetch a single notification by id. 404 if not this contact's.



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/hubs/{hub_id}/notifications/{notification_id}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hubs/{hub_id}/notifications/{notification_id}:
    get:
      tags:
        - notifications
      summary: Get Notification
      description: Fetch a single notification by id. 404 if not this contact's.
      operationId: >-
        notifications.get_notifications_get_hubs_by_hub_id_notifications_by_notification_id
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: notification_id
          required: true
          schema:
            title: Notification Id
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiResponse_NotificationAttributes_'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    JsonApiResponse_NotificationAttributes_:
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_NotificationAttributes_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[NotificationAttributes]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    JsonApiResource_NotificationAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/NotificationAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[NotificationAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    NotificationAttributes:
      properties:
        actor:
          anyOf:
            - $ref: '#/components/schemas/NotificationActor'
            - type: 'null'
        actors:
          anyOf:
            - items:
                $ref: '#/components/schemas/NotificationActor'
              type: array
            - type: 'null'
          title: Actors
        category:
          title: Category
          type: string
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        created_at:
          format: date-time
          title: Created At
          type: string
        deep_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Deep Link
        highlight:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Highlight
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        kind:
          title: Kind
          type: string
        preview:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview
        priority:
          title: Priority
          type: string
        read:
          title: Read
          type: boolean
        subject:
          anyOf:
            - $ref: '#/components/schemas/NotificationSubject'
            - type: 'null'
        target:
          anyOf:
            - $ref: '#/components/schemas/NotificationTarget'
            - type: 'null'
      required:
        - category
        - kind
        - priority
        - read
        - created_at
      title: NotificationAttributes
      type: object
    NotificationActor:
      description: Embedded actor object in notification attributes.
      properties:
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        contact_id:
          title: Contact Id
          type: string
        name:
          title: Name
          type: string
      required:
        - contact_id
        - name
      title: NotificationActor
      type: object
    NotificationSubject:
      properties:
        id:
          title: Id
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - id
      title: NotificationSubject
      type: object
    NotificationTarget:
      description: Embedded target object in notification attributes.
      properties:
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - id
        - label
      title: NotificationTarget
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````